Firefox выдаёт ошибку при запуске после обновления до 78.0.2 - решения

https://software.opensuse.org/package/MozillaFirefox

После обновления Огнелиса до 78.0.2 он может запуститься один раз, и на английском языке.
В следующие разы он выдаёт ошибку:

<toolbarbutton id=“UITourTooltipClose” class=“close-icon”
--------------^

Похоже, что сборщики-упаковщики накосячили.

Тема на английском: https://forums.opensuse.org/showthread.php/541498-Firefox-problem

Сообщение об ошибке: https://bugzilla.opensuse.org/show_bug.cgi?id=1174184

Это так со старым профилем, с новым - работает хорошо.

Решение для сохранения старого профиля: запустить FF со старым профилем. Профиль от этого обновится.

Способ 1: установить FF 77.99 (= 78.0b9), запустить его со старым профилем, закрыть, обновить FF до 78.0.2.

Способ 2: скопировать нужный профиль на машину с виндой, запустить FF под Windows со старым профилем, скопировать обновлённый профиль обратно.

FF ESR 68 может не сработать - он предупреждает, что могут быть несовместимые форматы.

При обновлении firefox до версии 79.0 на openSUSE Leap 15.2 получил такую же проблему.
Решение нашёл проще https://lists.opensuse.org/opensuse-factory/2020-07/msg00411.html
удалил addonStartup.json.lz4 из профиля.